From 3148d22cb72d14ea136160c4f044d6a05744f862 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 09 2015 02:27:50 +0000
Subject: [PATCH 110/1001] Add a script to delete a user for development.


---

diff --git a/delete-user.py b/delete-user.py
new file mode 100755
index 0000000..a533a00
--- /dev/null
+++ b/delete-user.py
@@ -0,0 +1,26 @@
+#!/usr/bin/env python
+""" Delete a user from the db.
+
+Useful for testing what happens when you recreate them.
+"""
+
+import sys
+
+import fedmsg.config
+fedmsg_config = fedmsg.config.load_config()
+
+import hubs.models
+
+session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
+
+username = raw_input('What user do you want to delete: ')
+openid = '%s.id.fedoraproject.org' % username
+print "Looking for account %r" % openid
+user = hubs.models.User.get(session, openid)
+if not user:
+    print "No such user %r" % openid
+    sys.exit(1)
+
+print "Found %r.  Deleting." % user
+session.delete(user)
+session.commit()

